﻿namespace Yuuna.Contracts.Artisan.Cascade
{
    using System.ComponentModel;
    /// <summary>
    /// 提供物件基本的級聯能力。這是 <see langword="abstract"/> 類別。
    /// </summary>
    [EditorBrowsable(EditorBrowsableState.Never)]
    public abstract class Cascadable 
    {  
        protected Cascadable()
        {
        }

        internal IInternalSession Session;
    }
}
