﻿
namespace Yuuna.Contracts.Optimization
{
    using System.Collections.Immutable;
    using Yuuna.Contracts.Patterns;
    using Yuuna.Contracts.Plugins;
    using Yuuna.Contracts.Semantics;

    public interface IScore
    {
        IPattern Contrast { get; }
        IImmutableList<IPair> SequentialMatches { get; }

        double Coverage { get; }
        bool IsCompacted { get; }
        IImmutableList<IGroup> Missing { get; }
        PluginBase Plugin { get; }
    }
}