﻿
namespace Yuuna.Contracts.Patterns
{
    using System;
    using System.Collections.Immutable;
    using Yuuna.Contracts.Linq;
    using Yuuna.Contracts.Semantics;

    public interface IPattern : IEquatable<IPattern>, IImmutable<IGroup>
    {
        int Count { get; }

        IImmutableList<string> SequentialKeys { get; }
         
    }


}