﻿
namespace Yuuna.Contracts.Patterns
{
    using System;
    using Yuuna.Contracts.Artisan.Cascade;

    internal sealed class IncompleteBuilder : Output<Incomplete>, IIncompleteBuilder
    {
        public void OnImcomplete(Incomplete incomplete)
        {
            if (incomplete is null)
                throw new ArgumentNullException(nameof(incomplete));
            this.MoveNext(incomplete);
        }
    } 
}